.\" $NetBSD: stuirda.4,v 1.6 2008/10/13 10:38:43 wiz Exp $
.\"
.\" Copyright (c) 2007 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Lennart Augustsson.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd October 13, 2008
.Dt STUIRDA 4
.Os
.Sh NAME
.Nm stuirda
.Nd Sigmaltel 4116/4220 USB-IrDA bridge support
.Sh SYNOPSIS
.Cd "stuirda*   at uhub?"
.Cd "irframe* at uirda?"
.Sh DESCRIPTION
The
.Nm
driver provides support for SigmaTels USB-IrDA bridges that nearly follow
the bridge specification:
.Pp
.Bl -tag -width Dv -offset indent -compact
.It Tn SigmaTel ST4116
.It Tn SigmaTel ST4210
.It Tn SigmaTel ST4220
.El
.Pp
Access to the IrDA device is through the
.Xr irframe 4
driver.
Before accessing it, a firmware patch must be downloaded.
At the time of writing this, it can be found at:
.Pa http://www.sigmatel.com/documents/stir4210_4220_4116_patch_files.tar.gz
.Pp
Unpack the archive with
.Pp
.Nm tar
.Fl C
.Pa /libdata/firmware/stuirda/
.Fl xzf
.Ar stir4210_4220_4116_patch_files.tar.gz
.Sh SEE ALSO
.Xr irframe 4 ,
.Xr usb 4
.Sh HISTORY
The
.Nm
driver
appeared in
.Nx 5.0 .
.Sh BUGS
.Nm stuirda
needs the firmware for configuration, so it can't be loaded at kernel
startup time.
As a workaround, you can plug in the USB-IrDA-bridge after booting.
